Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython2.PagingSealSignature Class Reference
Inheritance diagram for FoxitPDFSDKPython2.PagingSealSignature:

## Public Member Functions
def | GenerateAppearance ()
| Generate the appearance of paging seal signature. More...
def | SetAPStateBitmap (ap_state, bitmap)
| Set a bitmap for the appearance of signature state. More...
def | SetPagingSealConfig (paging_seal_config)
| Set the config of paging seal signature. More...
Public Member Functions inherited from FoxitPDFSDKPython2.Signature
def | Signature (document, sig_field_dict)
| Constructor, from signature field dictionary. More...
def | ClearSignedData ()
| Clear the data and appearance if current signature is singed and verified valid. More...
def | EnableEmbedFont (enable_embed_font)
| Enable or disable embed font. More...
def | EnableIncrementalSaveForFirstSigning (enable_incremental_save)
| Enable or disable incremental save for first signing. User should call this function before calling function FoxitPDFSDKPython2.Signature.StartSign . Default: false. More...
def | GetAppearanceFlags ()
| Get signature appearance flags. More...
def | GetBitmap ()
| Get a bitmap which is used for the signature appearance. More...
def | GetByteRangeArray (out_byte_range_array)
| Get the byte ranges data, including 4 elements. More...
def | GetCert (index)
| Get a certificate from current signature's certificate chain by index. More...
def | GetCertCount ()
| Get the count of certificates in current signature's certificate chain. More...
def | GetCertificateInfo (key)
| Get certificate information. More...
def | GetDocPermission ()
| Get document permission for current signature. More...
def | GetDocument ()
| Get the PDF document, which current signature belongs to. More...
def | GetFieldMDPAction ()
| Get FieldMDP("MDP" means modification detection and prevention) action type. More...
def | GetFieldMDPActionFields ()
| Get the field name array which is used for FieldMDP action. More...
def | GetFilter ()
| Get filter. More...
def | GetKeyLabel (label_name)
| Get the string for specified key label. More...
def | GetKeyValue (key)
| Get the string value for specified key name. More...
def | GetPAdESLevel ()
| Get PAdES level. More...
def | GetPagingSealGroupElements ()
| Get the group elements of current paging seal signature. More...
def | GetPagingSealSignature ()
| Get the paging seal signature. More...
def | GetSignatureDict ()
| Get signature dictionary. More...
def | GetSignatureType ()
| Get signature type. More...
def | GetSignedVersionDocument (file_path)
| Get the PDF document in the signed version in which current signature was signed. More...
def | GetSignTime ()
| Get time of signing. More...
def | GetState ()
| Get current state. More...
def | GetSubFilter ()
| Get sub filter. More...
def | IsEmpty ()
| Check whether current object is empty or not. More...
def | IsSigned ()
| Check whether current signature is signed or not. More...
def | IsTimeStamp ()
| Check if current signature is a time stamp signature. More...
def | SetAppearanceContent (appearance_content)
| Set customized appearance content (as low level drawing operation commands) for signed signature appearance. More...
def | SetAppearanceFlags (appearance_flags)
| Set signature appearance flags. More...
def | SetBitmap (bitmap)
| Set a bitmap for the signature appearance. More...
def | SetCertChain (cert_chain)
| Set a certificate chain. More...
def | SetCustomObject (key, pdf_object)
| Set custom PDF object for signature dictionary. More...
def | SetDefaultContentsLength (default_length)
| Set the default length of signature contents which represents signature value (known as signed data). More...
def | SetDocPermission (permission)
| Set document permission for current signature. More...
def | SetFieldMDPActionFields (action, field_array)
| Set FieldMDP("MDP" means modification detection and prevention) action names array. More...
def | SetFilter (filter)
| Set filter. More...
def | SetImage (file_path, frame_index)
| Set an image for the signature appearance, with a specified frame index. More...
def | SetImage (image, frame_index)
| Set an image for the signature appearance, with a specified frame index. More...
def | SetKeyLabel (label_name, label_value)
| Set the string for specified key label. More...
def | SetKeyValue (key, value)
| Set the string value for specified key name. More...
def | SetSignTime (sign_time)
| Set time of signing. More...
def | SetSubFilter (sub_filter)
| Set sub filter. More...
def | StartSign (cert_file_stream, cert_password, digest_algorithm, save_path, client_data, pause)
| Start signing current signature if current signature is unsigned. More...
def | StartSign (cert_file_stream, cert_password, digest_algorithm, stream_callback, client_data, pause)
| Start signing current signature if current signature is unsigned. More...
def | StartSign (cert_path, cert_password, digest_algorithm, stream_callback, client_data, pause)
| Start signing current signature if current signature is unsigned. More...
def | StartVerify (client_data, pause)
| Start verifying the intergrity of current signature if current signature is signed. More...
Public Member Functions inherited from FoxitPDFSDKPython2.Field
def | Field (field)
| Constructor, with another form field object. More...
def | GetAlignment ()
| Get the alignment value. More...
def | GetAlternateName ()
| Get alternate name. More...
def | GetControl (page, index)
| Get a form control by index, in a specified PDF page. More...
def | GetControlCount ()
| Get count of form controls. More...
def | GetControlCount (page)
| Get count of form controls in a specified PDF page. More...
def | GetDefaultAppearance ()
| Get the default appearance data. More...
def | GetDefaultValue ()
| Get default value. More...
def | GetDefaultValueObj ()
| Get the PDF object of field's default value. More...
def | GetDict ()
| Get the PDF dictionary of current object. More...
def | GetFlags ()
| Get field flags. More...
def | GetInheritedAttribute (attribute_name)
| Get the PDF object for specified attribute which may be inherited from the ancestor node in the field tree. More...
def | GetMappingName ()
| Get mapping name. More...
def | GetMaxLength ()
| Get maximum length of the field's text, in characters. More...
def | GetName ()
| Get field name. More...
def | GetOptions ()
| Get options of list box or combo box. More...
def | GetTopVisibleIndex ()
| Get top index of option for scrollable list boxes. More...
def | GetType ()
| Get field type. More...
def | GetValue ()
| Get value. More...
def | GetValueObj ()
| Get the PDF object of field's value. More...
def | Reset ()
| Reset data in current field to its default value. (Not support signature field) More...
def | SetAlignment (alignment)
| Set alignment property of a form, as a document-wide default value. (Not support signature field) More...
def | SetAlternateName (alternate_name)
| Set alternate name. (Not support signature field) More...
def | SetDefaultAppearance (default_ap)
| Set default appearance data. More...
def | SetDefaultValue (value)
| Set default value. More...
def | SetFlags (flags)
| Set field flags. More...
def | SetMappingName (name)
| Set mapping name. (Not support signature field) More...
def | SetMaxLength (max_length)
| Set maximum length of the field's text, in characters. More...
def | SetOptions (option_array)
| Set options of list box or combo box. More...
def | SetTopVisibleIndex (index)
| Set top index for scrollable list boxes. More...
def | SetValue (value)
| Set value. More...

## Static Public Attributes
| e_PagingSealAPStateInvalid = _fsdk.PagingSealSignature_e_PagingSealAPStateInvalid
| Verification state of a signature is invalid.
| e_PagingSealAPStateSigned = _fsdk.PagingSealSignature_e_PagingSealAPStateSigned
| Signed signature.
| e_PagingSealAPStateUnknown = _fsdk.PagingSealSignature_e_PagingSealAPStateUnknown
| Unknown signature.
| e_PagingSealAPStateUnsigned = _fsdk.PagingSealSignature_e_PagingSealAPStateUnsigned
| Unsigned signature.
| e_PagingSealAPStateValid = _fsdk.PagingSealSignature_e_PagingSealAPStateValid
| Verification state of a signature is valid.
Static Public Attributes inherited from FoxitPDFSDKPython2.Signature
| e_APFlagBitmap = _fsdk.Signature_e_APFlagBitmap
| If set, show bitmap on signature appearance.
| e_APFlagDN = _fsdk.Signature_e_APFlagDN
| If set, show distinguish name on signature appearance.
| e_APFlagFoxitEditorFlag = _fsdk.Signature_e_APFlagFoxitEditorFlag
| If set, show Foxit Editor content on signature appearance.
| e_APFlagFoxitFlag = _fsdk.Signature_e_APFlagFoxitFlag
| If set, show Foxit flag on signature appearance.
| e_APFlagLabel = _fsdk.Signature_e_APFlagLabel
| If set, show label on signature appearance.
| e_APFlagLocation = _fsdk.Signature_e_APFlagLocation
| If set, show location on signature appearance.
| e_APFlagProducer = _fsdk.Signature_e_APFlagProducer
| If set, show producer content on signature appearance.
| e_APFlagReason = _fsdk.Signature_e_APFlagReason
| If set, show reason on signature appearance.
| e_APFlagSigner = _fsdk.Signature_e_APFlagSigner
| If set, show signer on signature appearance.
| e_APFlagSigningTime = _fsdk.Signature_e_APFlagSigningTime
| If set, show signing time on signature appearance.
| e_APFlagText = _fsdk.Signature_e_APFlagText
| If set, show text content on signature appearance.
| e_DigestSHA1 = _fsdk.Signature_e_DigestSHA1
| Signature digest algorithm: sha1 algorithm.
| e_DigestSHA256 = _fsdk.Signature_e_DigestSHA256
| Signature digest algorithm: sha256 algorithm.
| e_DigestSHA384 = _fsdk.Signature_e_DigestSHA384
| Signature digest algorithm: sha384 algorithm.
| e_DigestSHA512 = _fsdk.Signature_e_DigestSHA512
| Signature digest algorithm: sha512 algorithm.
| e_DocPermFillingFormAndSigning = _fsdk.Signature_e_DocPermFillingFormAndSigning
| Permitted changes are filling in forms, instantiating page templates, and signing. Other changes will invalidate the signature.
| e_DocPermFillingFormSigningAndAnnotating = _fsdk.Signature_e_DocPermFillingFormSigningAndAnnotating
| Permitted changes are the same as for 2, as well as annotation creation, deletion, and modification. Other changes will invalidate the signature.
| e_DocPermNoChangesAllowed = _fsdk.Signature_e_DocPermNoChangesAllowed
| No changes to the PDF document (which is signed by the signture) are permitted. Any change to this kind of PDF document will invalidate the signature.
| e_DocPermUnrestricted = _fsdk.Signature_e_DocPermUnrestricted
| No restriction.
| e_FieldMDPActionAll = _fsdk.Signature_e_FieldMDPActionAll
| All form fields' flags will be set read-only.
| e_FieldMDPActionExclude = _fsdk.Signature_e_FieldMDPActionExclude
| Flags of form fields (except specified form fields) will be set read-only. More...
| e_FieldMDPActionInclude = _fsdk.Signature_e_FieldMDPActionInclude
| Specified form fields' flags will be set read-only. More...
| e_FieldMDPActionNone = _fsdk.Signature_e_FieldMDPActionNone
| No Field MDP action.
| e_KeyNameContactInfo = _fsdk.Signature_e_KeyNameContactInfo
| Signature key name: contact information.
| e_KeyNameDN = _fsdk.Signature_e_KeyNameDN
| Signature key name: distinguish name.
| e_KeyNameLocation = _fsdk.Signature_e_KeyNameLocation
| Signature key name: location.
| e_KeyNameProducer = _fsdk.Signature_e_KeyNameProducer
| Signature key name: producer content.
| e_KeyNameReason = _fsdk.Signature_e_KeyNameReason
| Signature key name: reason.
| e_KeyNameSigner = _fsdk.Signature_e_KeyNameSigner
| Signature key name: signer.
| e_KeyNameText = _fsdk.Signature_e_KeyNameText
| Signature key name: text content.
| e_LabelNameDN = _fsdk.Signature_e_LabelNameDN
| Signature key name for distinguish name. More...
| e_LabelNameLocation = _fsdk.Signature_e_LabelNameLocation
| Signature label name for location. More...
| e_LabelNameProducer = _fsdk.Signature_e_LabelNameProducer
| Signature key name for producer name. More...
| e_LabelNameReason = _fsdk.Signature_e_LabelNameReason
| Signature label name for reason. More...
| e_LabelNameSigner = _fsdk.Signature_e_LabelNameSigner
| Signature label name for signer. More...
| e_LabelNameSignTime = _fsdk.Signature_e_LabelNameSignTime
| Signature label name for sign time. More...
| e_PAdESLevelBB = _fsdk.Signature_e_PAdESLevelBB
| PAdES level: B-B.
| e_PAdESLevelBLT = _fsdk.Signature_e_PAdESLevelBLT
| PAdES level: B-LT.
| e_PAdESLevelBLTA = _fsdk.Signature_e_PAdESLevelBLTA
| PAdES level: B-LTA.
| e_PAdESLevelBT = _fsdk.Signature_e_PAdESLevelBT
| PAdES level: B-T.
| e_PAdESLevelNone = _fsdk.Signature_e_PAdESLevelNone
| PAdES level: none.
| e_PAdESLevelNotPAdES = _fsdk.Signature_e_PAdESLevelNotPAdES
| Not a PAdES signature.
| e_SignatureTypeOrdinary = _fsdk.Signature_e_SignatureTypeOrdinary
| Signature type: ordinary.
| e_SignatureTypePagingSeal = _fsdk.Signature_e_SignatureTypePagingSeal
| Signature type: paging seal.
| e_SignatureTypeTimeStamp = _fsdk.Signature_e_SignatureTypeTimeStamp
| Signature type: time stamp.
| e_StateCertCannotGetVRI = _fsdk.Signature_e_StateCertCannotGetVRI
| Cannot get verify relevant information.
| e_StateNoSignData = _fsdk.Signature_e_StateNoSignData
| Signature does not have any data for signing.It means that there is not "V" entry in the signature dictionary.
| e_StateSigned = _fsdk.Signature_e_StateSigned
| Signed signature.
| e_StateUnknown = _fsdk.Signature_e_StateUnknown
| Unknown signature.
| e_StateUnsigned = _fsdk.Signature_e_StateUnsigned
| Unsigned signature.
| e_StateVerifyChange = _fsdk.Signature_e_StateVerifyChange
| The document has been changed within the scope of the signature. (This indicates that signature is invalid.)
| e_StateVerifyChangeIllegal = _fsdk.Signature_e_StateVerifyChangeIllegal
| The document has been changed outside of signature scope, and the changed invalidate the signature.
| e_StateVerifyChangeLegal = _fsdk.Signature_e_StateVerifyChangeLegal
| The document has been changed outside of signature scope, but the changed is permitted.
| e_StateVerifyErrorByteRange = _fsdk.Signature_e_StateVerifyErrorByteRange
| Non expected byte range.
| e_StateVerifyErrorData = _fsdk.Signature_e_StateVerifyErrorData
| Signature data is destroyed (that means the signature data cannot be parsed properly).
| e_StateVerifyIncredible = _fsdk.Signature_e_StateVerifyIncredible
| Signature cannot be trusted (containing aggression).
| e_StateVerifyInvalid = _fsdk.Signature_e_StateVerifyInvalid
| Verification state of a signature is invalid.
| e_StateVerifyIssueCurrent = _fsdk.Signature_e_StateVerifyIssueCurrent
| The verified issue is current issuer.
| e_StateVerifyIssueExpire = _fsdk.Signature_e_StateVerifyIssueExpire
| Certificate for verifying issuer is expired.
| e_StateVerifyIssueRevoke = _fsdk.Signature_e_StateVerifyIssueRevoke
| Certificate for verifying issuer is revoked.
| e_StateVerifyIssueUncheck = _fsdk.Signature_e_StateVerifyIssueUncheck
| Not check the issuer.
| e_StateVerifyIssueUnknown = _fsdk.Signature_e_StateVerifyIssueUnknown
| Verification state of the issuer is unknown.
| e_StateVerifyIssueValid = _fsdk.Signature_e_StateVerifyIssueValid
| Verification state of the issuer is valid.
| e_StateVerifyNoChange = _fsdk.Signature_e_StateVerifyNoChange
| The document has not been changed within the scope of the signature.
| e_StateVerifyNoSupportWay = _fsdk.Signature_e_StateVerifyNoSupportWay
| Unsupported signature.
| e_StateVerifyTimestampDoc = _fsdk.Signature_e_StateVerifyTimestampDoc
| The signature is a time stamp signature.
| e_StateVerifyTimestampExpire = _fsdk.Signature_e_StateVerifyTimestampExpire
| Verification state of the time stamp is expired.
| e_StateVerifyTimestampInvalid = _fsdk.Signature_e_StateVerifyTimestampInvalid
| Verification state of the time stamp is invalid.
| e_StateVerifyTimestampIssueUnknown = _fsdk.Signature_e_StateVerifyTimestampIssueUnknown
| Verification state of the time stamp issuer is unknown.
| e_StateVerifyTimestampIssueValid = _fsdk.Signature_e_StateVerifyTimestampIssueValid
| Verification state of the time stamp issuer is valid.
| e_StateVerifyTimestampNone = _fsdk.Signature_e_StateVerifyTimestampNone
| No time stamp or not check time stamp.
| e_StateVerifyTimestampTimeBefore = _fsdk.Signature_e_StateVerifyTimestampTimeBefore
| Verification state of the time stamp time is valid, since the times is before the expiration date.
| e_StateVerifyTimestampValid = _fsdk.Signature_e_StateVerifyTimestampValid
| Verification state of the time stamp is valid.
| e_StateVerifyValid = _fsdk.Signature_e_StateVerifyValid
| Verification state of a signature is valid.
Static Public Attributes inherited from FoxitPDFSDKPython2.Field
| e_FlagButtonNoToggleToOff = _fsdk.Field_e_FlagButtonNoToggleToOff
| (Only useful for radio button) If set, exactly one radio button must be selected at all times; clicking the currently selected button has no effect. If clear, clicking the selected button deselects it, leaving no button selected.
| e_FlagButtonRadiosInUnison = _fsdk.Field_e_FlagButtonRadiosInUnison
| (Only useful for radio button) If set, a group of radio buttons within a radio button field that use the same value for the on state will turn on and off in unison; that is if one is checked, they are all checked. If clear, the buttons are mutually exclusive.
| e_FlagChoiceCommitOnSelChange = _fsdk.Field_e_FlagChoiceCommitOnSelChange
| (Only useful for choice field) If set, the new value is committed as soon as a selection is made with the pointing device; if clear, the new value is not committed until the user exits the field.
| e_FlagChoiceMultiSelect = _fsdk.Field_e_FlagChoiceMultiSelect
| (Only useful for list box) If set, more than one items may be selected simultaneously; if clear, no more than one item at a time may be selected.
| e_FlagChoiceSort = _fsdk.Field_e_FlagChoiceSort
| (Only useful for choice field) If set, the field's option items should be sorted alphabetically.
| e_FlagComboEdit = _fsdk.Field_e_FlagComboEdit
| (Only useful for combo box) If set, the combo box includes an editable text control with a drop-down list, if clear, it includes only a drop-down list.
| e_FlagNoExport = _fsdk.Field_e_FlagNoExport
| if set, the field must not be exported by a submit-form action.
| e_FlagReadOnly = _fsdk.Field_e_FlagReadOnly
| If set, the user may not change the value of the field. Any associated widget annotations will not interact with the user; that is, they will not respond to mouse clicks or change their appearance in response to mouse motions. This flag is useful for fields whose values are computed or imported from a database.
| e_FlagRequired = _fsdk.Field_e_FlagRequired
| If set, the field must have a value at the time it is exported by a submit-form action.
| e_FlagTextComb = _fsdk.Field_e_FlagTextComb
| (Only useful for text field) If set, use combs. More...
| e_FlagTextDoNotScroll = _fsdk.Field_e_FlagTextDoNotScroll
| (Only useful for text field) If set, the field does not scroll (horizontally for single-line fields, vertically for multiple-line fields) to accommodate more text than fits within its annotation rectangle. Once the field is full, no further text is accepted.
| e_FlagTextFileSelect = _fsdk.Field_e_FlagTextFileSelect
| (Only useful for text field) If set, the text entered in the field represents the pathname of a file whose contents are to be submitted as the value of the field.
| e_FlagTextMultiline = _fsdk.Field_e_FlagTextMultiline
| (Only useful for text field) If set, the text field can contain multiple lines of text; if clear, the field's text is restricted to a single line.
| e_FlagTextNoSpellCheck = _fsdk.Field_e_FlagTextNoSpellCheck
| (Only useful for text field) If set, text entered in the field is not spell-checked.
| e_FlagTextPassword = _fsdk.Field_e_FlagTextPassword
| (Only useful for text field) If set, the field is intended for entering a secure password that should not be echoed visibly to the screen. Characters typed from the keyboard should instead be echoed in some unreadable form, such as asterisks or bullet characters. More...
| e_FlagTextRichText = _fsdk.Field_e_FlagTextRichText
| (Only useful for text field) If set, the value of this field should be represented as a rich text string.
| e_TypeCheckBox = _fsdk.Field_e_TypeCheckBox
| Form field type: check box.
| e_TypeComboBox = _fsdk.Field_e_TypeComboBox
| Form field type: combo box.
| e_TypeListBox = _fsdk.Field_e_TypeListBox
| Form field type: list box.
| e_TypePushButton = _fsdk.Field_e_TypePushButton
| Form field type: push button.
| e_TypeRadioButton = _fsdk.Field_e_TypeRadioButton
| Form field type: radio button.
| e_TypeSignature = _fsdk.Field_e_TypeSignature
| Form field type: signature field.
| e_TypeTextField = _fsdk.Field_e_TypeTextField
| Form field type: text field.
| e_TypeUnknown = _fsdk.Field_e_TypeUnknown
| Form field type: unknown.

## Detailed Description

This class represents a paging seal signature object for signing the signatures. It is a type of signature field, so class PagingSealSignature is derived from class FoxitPDFSDKPython2.Signature . A new paging seal signature object would be returned by function FoxitPDFSDKPython2.PDFDoc.AddPagingSealSignature , instead of FoxitPDFSDKPython2.PDFPage.AddSignature .
A paging seal signature contains a few signatures or a few paging seal annotation. To set the configuration of paging seal signature, please use the function FoxitPDFSDKPython2.PagingSealSignature.SetPagingSealConfig .

## Member Function Documentation

## ◆ GenerateAppearance()

def FoxitPDFSDKPython2.PagingSealSignature.GenerateAppearance | ( |  | ) |

Generate the appearance of paging seal signature.

This function should be called before signing and the paging seal config should be set already. If this function is not called, the page will not display the paging seal signatures.

Returns
  true means success, while false means failure.

Reimplemented from FoxitPDFSDKPython2.Signature.

## ◆ SetAPStateBitmap()

def FoxitPDFSDKPython2.PagingSealSignature.SetAPStateBitmap | ( |  | ap_state,
|  |  | bitmap
| ) |  |

Set a bitmap for the appearance of signature state.

If user wants the setting by this function has effect on paging seal signatures' appearance, please call function PagingSealSignature::GenerateAppearence after this function.

Parameters

  [in] | ap_state | The state of signature.
  [in] | bitmap | A bitmap to be set to the appearance.

Returns
  None.

## ◆ SetPagingSealConfig()

def FoxitPDFSDKPython2.PagingSealSignature.SetPagingSealConfig | ( |  | paging_seal_config | ) |

Set the config of paging seal signature.

Parameters

  [in] | paging_seal_config | A paging seal configuration to be set.

Returns
  None.